Subject: Re: New special handing of '@' character broke my use case

From: Stefano Lattarini <[email-masked]>
Date: Thu, 15 Aug 2013 10:16:11 +0100

On 08/14/2013 09:57 PM, Junio C Hamano wrote:
 > Johannes Sixt <[email-masked]> writes:
 >
 > [SNIP]
 >
 >> Stefano's use-case, where @/foo is turned into HEAD/foo,
 >> indicates a bug.
 >>
 >> In my opinion, the topic, which touches a central part of ref
 >> handling, was a bit hurried (and this report is a symptom of it), and
 >> I wouldn't mind seeing it reverted.
 >
 > Thanks; you said it much better than I did.  I think the short-hand
 > is not a bad idea by itself, but the execution may need to be redone
 > a bit more carefully, and it is prudent to revert it from the
 > upcoming release.
 >
Thanks both for taking care of this issue with the usual speed and
clarity.

Best regards,
   Stefano